
QGIS Application - Bug report #16056

"svg paths" list in general options gets duplicacted when clicking on "ok"

2017-01-10 06:37 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:2.14.10 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23971

Description

This affects 2.14, but not 2.18 or 2.8.

Open the general options and click "ok". The list of "svg paths" in "system" gets every time longer as the original items are duplicated. This

makes QGIS scan the same folders over and over when selecting a svg marker.

Maybe this was fixed for 2.18 but not backported?

Associated revisions

Revision 538b7c90 - 2017-01-18 10:22 AM - Alexander Bruy

prevent duplication of SVG path (fix #16056)

(partially cherry-picked from c60c4f7f0ca09dc6bbc8e3f721339a238154ff57)

History

#1 - 2017-01-18 01:20 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"538b7c90077a2c676676bf437799e7ecb34ddf3b".
